> ## Documentation Index
> Fetch the complete documentation index at: https://docs.junction.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Compendium Convert

> Create or submit compendium convert via the Junction API. Requires authentication with your team API key.

<Card horizontal icon="person-digging" color="#57164A">
  This feature is in **closed beta**.

  Interested in this feature? Get in touch with your Customer Success Manager.
</Card>


## OpenAPI

````yaml POST /v3/compendium/convert
openapi: 3.1.0
info:
  title: Junction API
  description: https://docs.junction.com/
  version: 0.4.483
servers:
  - url: https://api.us.junction.com
    x-fern-server-name: Production
  - url: https://api.eu.junction.com
    x-fern-server-name: ProductionEU
  - url: https://api.sandbox.us.junction.com
    x-fern-server-name: Sandbox
  - url: https://api.sandbox.eu.junction.com
    x-fern-server-name: SandboxEU
security:
  - apiKeyAuth: []
paths:
  /v3/compendium/convert:
    post:
      tags:
        - compendium
      summary: Convert Compendium
      operationId: convert_compendium_v3_compendium_convert_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConvertCompendiumBody'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConvertCompendiumResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ConvertCompendiumBody:
      properties:
        lab_test_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Lab Test Id
        provider_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Provider Ids
        target_lab:
          $ref: '#/components/schemas/CompendiumSearchLabs'
          description: ℹ️ This enum is non-exhaustive.
        limit:
          type: integer
          title: Limit
          default: 3
      type: object
      required:
        - target_lab
      title: ConvertCompendiumBody
    ConvertCompendiumResponse:
      properties:
        source_lab_test_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Source Lab Test Id
        source_lab_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Source Lab Id
        target_lab_id:
          type: integer
          title: Target Lab Id
        target_lab_slug:
          type: string
          title: Target Lab Slug
        source_provider_ids:
          items:
            type: string
          type: array
          title: Source Provider Ids
        converted_provider_ids:
          items:
            type: string
          type: array
          title: Converted Provider Ids
        unresolved_provider_ids:
          items:
            type: string
          type: array
          title: Unresolved Provider Ids
        by_source_provider_id:
          additionalProperties:
            $ref: '#/components/schemas/ProviderIdConversionResponse'
          type: object
          title: By Source Provider Id
      type: object
      required:
        - target_lab_id
        - target_lab_slug
      title: ConvertCompendiumResponse
    HTTPValidationError:
      properties:
        detail:
          title: Detail
      type: object
      title: HTTPValidationError
    CompendiumSearchLabs:
      type: string
      enum:
        - labcorp
        - quest
        - bioreference
        - sonora_quest
      title: CompendiumSearchLabs
      description: ℹ️ This enum is non-exhaustive.
    ProviderIdConversionResponse:
      properties:
        source_provider_id:
          type: string
          title: Source Provider Id
        candidates:
          items:
            $ref: '#/components/schemas/PerLabCandidate'
          type: array
          title: Candidates
      type: object
      required:
        - source_provider_id
      title: ProviderIdConversionResponse
    PerLabCandidate:
      properties:
        marker_id:
          type: integer
          title: Marker Id
        lab_id:
          type: integer
          title: Lab Id
        lab_slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Lab Slug
        name:
          type: string
          title: Name
        result_names:
          items:
            type: string
          type: array
          title: Result Names
        provider_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider Id
        loinc_set_hash:
          type: string
          title: Loinc Set Hash
        loinc_codes:
          items:
            type: string
          type: array
          title: Loinc Codes
        loinc_components:
          items:
            type: string
          type: array
          title: Loinc Components
        loinc_groups:
          items:
            type: string
          type: array
          title: Loinc Groups
        cpt_codes:
          items:
            type: string
          type: array
          title: Cpt Codes
        relation:
          type: string
          title: Relation
        confidence:
          type: number
          title: Confidence
        reason_codes:
          items:
            type: string
          type: array
          title: Reason Codes
        marker_popularity_score:
          type: number
          title: Marker Popularity Score
      type: object
      required:
        - marker_id
        - lab_id
        - name
        - loinc_set_hash
        - relation
        - confidence
        - marker_popularity_score
      title: PerLabCandidate
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-vital-api-key
      description: Vital Team API Key

````